%{?drupal7_find_provides_and_requires}

%global module      fivestar

Name:          drupal7-%{module}
Version:       2.1
Release:       1%{?dist}
Summary:       Enables fivestar ratings on content, users, etc

Group:         Applications/Publishing
License:       GPLv2+
URL:           http://drupal.org/project/%{module}
Source0:       http://ftp.drupal.org/files/projects/%{module}-7.x-%{version}.tar.gz
Source1:       %{name}-RPM-README.txt

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: drupal7-rpmbuild >= 7.23-3

Requires:      drupal7-votingapi
#Requires:      drupal7(votingapi)
# phpcompatinfo (computed from version 2.0-rc1)
Requires:      php-pcre


%description
The Fivestar voting module adds a clean, attractive voting widget to nodes and
comments and any entity. It features:
* jQuery rollover effects and AJAX no-reload voting
* Configurable star sets
* Graceful degradation to an HTML rating form when JavaScript is turned off
* Support for anonymous voters
* Spam protection to keep users from filling your DB with bogus votes
* Easy-to-use integration with Views module for lists sorted by rating, or
      filtered by min/max ratings
* A Fivestar CCK field for use in custom node types
* An easy-to-use Form API element type for use in other modules
* Compatible with all versions of jQuery (1.0 - 1.8)

This package provides the following Drupal module:
* %{module}


%prep
%setup -qn %{module}
cp -p %{SOURCE1} .

# Remove executable bits
chmod a-x LICENSE.txt
find . -name '*.css' | xargs chmod a-x


%build
# Empty build section, nothing to build


%install
rm -rf %{buildroot}
mkdir -pm 0755 %{buildroot}%{drupal7_modules}/%{module}
cp -pr * %{buildroot}%{drupal7_modules}/%{module}/


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc *.txt
%{drupal7_modules}/%{module}
%exclude %{drupal7_modules}/%{module}/*.txt


%changelog
* Sun May 11 2014 Peter Borsa <peter.borsa@gmail.com> - 2.1-1
- Updated to 2.1 (BZ #1077530; release notes https://drupal.org/node/2219793)

* Fri Mar 14 2014 Peter Borsa <peter.borsa@gmail.com> - 2.0-0.9.rc3
- Updated to 2.0-rc3 (BZ #1074882; release notes https://drupal.org/node/2215277)

* Thu Mar 06 2014 Shawn Iwinski <shawn.iwinski@gmail.com> - 2.0-0.8.rc1
- Updated to 2.0-rc1 (BZ #1066281; release notes https://drupal.org/node/2208927)

* Sat Feb 15 2014 Shawn Iwinski <shawn.iwinski@gmail.com> - 2.0-0.7.alpha3
- Add build require drupal7-rpmbuild

* Sat Feb 15 2014 Shawn Iwinski <shawn.iwinski@gmail.com> - 2.0-0.6.alpha3
- Updated to 2.0-alpha3 (BZ #1060464; release notes https://drupal.org/node/2186899)
- Spec cleanup

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-0.5.alpha2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-0.4.alpha2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-0.3.alpha2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Apr 25 2012 Scott Dodson <sdodson@redhat.com> - 2.0-0.2.alpha2
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-0.2.alpha1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Sep 7 2011 Scott Dodson <sdodson@redhat.com> - 2.0-0.1.alpha1
- Initial Drupal 7 package
